*** Accessibility Checker ***

2026-03-17 - version 1.39.0
* New - CSS modifier classes to opt out of the New Window Warning icon and tooltip.
* New - Setting to hide the legacy metabox in the Block Editor.
* New - Fix to allow empty search results to display a meaningful message instead of a 404.
* Fix - Orphaned settings labels on the options page.
* Fix - Issue modal content clipped when affected code contains long URLs.
* Fix - Undefined help_id notice in help link generation.
* Updated - Welcome dashboard UI updated to bring it in line with other UI changes.
* Updated - Made more strings translatable - particularly those returned by ajax.
* Enhanced - Missing transcript detection now searches 2 additional levels up.

2026-03-04 - version 1.38.0
* New - Block Editor Sidebar with accessibility scan data, issues, and quick access panel for faster navigation.
* New - Dismissed issues now have assignable reasons for the dismissal.
* New - Dismiss reason and severity now visible on issues (in both sidebar and classic metabox).
* New - Ability to reopen issues that were dismissed with one click from the sidebar.
* Updated - Classic Editor metabox visual design to match sidebar styling.
* Updated - Terminology: "Errors" now "Problems".
* Updated - Terminology: "Warnings" now "Needs Review".
* Updated - Terminology: "Ignore" now "Dissmis".
* Updated - Terminology: "Passed Tests" now "Passed Checks".
* Updated - in the sidebar contrast errors are now included in the "Problems" sections.
* Enhanced - Using both color and shape now indicate state of found issues and readability.
* Fix - Make sure that summary needed is flagged for above 9th grade. Some instances it could flag for summary at 9th.
* Fix - prevent welcome modal on the first visit from overriding other events on the page load.
* Fix - various type safety and existed checks in places to prevent edge case errors.

2026-01-23 - version 1.37.0
* Fix - Duplicate markup on the page can now be properly identified as an issue.
* Fix - Restrict global ignore management link and fix button label span closure.
* Fix - Update database schema to use selector as unique identifier for issues.
* Enhanced - Frontend issue matching with stable selectors and DOM ordering.
* Enhanced - Better handling of frontend highlighter positioning.
* Improved - More accurate restoration of styles after deactivating them in frontend highlighter.
* Improved - When closing frontend highlighter it won't re-render unless needed.

2025-12-15 - version 1.36.0
* Fix - passed tests percentage logic now accounts times no posts are scanned
* Fix - don't prevent scan speed saving when pro plugin is enabled.
* Add - new trigger for invalid alt text - "an image".
* Add - allow role="menuitem" with aria-expanded in link validation checks
* New - visit welcome screen on plugin activation.

2025-12-05 - version 1.35.0
* Fix - Ignored issues no longer count in density scores.
* Fix - Ignored issues count comparison and message logic in frontend highlighter.
* Fix - Allow long translations to wrap in new window warning tooltip.
* Fix - Improve sanitization that would prevent checkboxes saving on first attempt in some cases.
* Fix - Dashboard widget to conditionally display upcoming meetups and improve meetup data handling.
* Fix - Make highlighter controls translatable.
* Tweak - Add better help article link for new window warning fix.
* Tweak - Use WordPress data functions instead of server time for ignore date formatting.

2025-10-22 - version 1.34.0
* Tweak - Missing transcript can now detect transcripts for videos when they are not just direct siblings.
* Tweak - Use post type labels rather than slugs in views where applicable.
* Tweak - Prepare for sale event during Black Friday.

2025-09-26 - version 1.33.0
* Add - WP-CLI commands can now be run with short names: `wp edac <command>` or using long name `wp accessibility-checker <command>`.
* Tweak - Made it easier to register custom commands through filter.

2025-09-18 - version 1.32.0
* Fix - Improved highlighter behavior to maintain original size and position of scanned elements.
* Fix - Identify out-of-sequence headings.
* Fix - Identify missing title attributes.
* Fix - Correctly assess alternative text requirements for image map areas.
* Tweak - Implemented additional security measures for input validation and data sanitization.

2025-09-04 - version 1.31.1
* Add - Privacy policy link added at newsletter signup.
* Tweak - Error messages returned from some ajax actions are more descriptive.

2025-08-29 - version 1.31.0
* Tweak - Don't flag YouTube scripts as video present mistakenly.
* Tweak - Underlined text rule now will find more instances of underlined text.
* Tweak - Added additional string label check for links that open new windows/tabs.
* Tweak - Reordered some settings for better grouping.

2025-08-19 - version 1.30.1
* Tweak - The rescan and clear buttons in the frontend highlighter are now only shown when they can be used.
* Tweak - Issue saving and clearing now has more robust capability checking.

2025-08-06 - version 1.30.0
* Add - Ability to clear issues on a post or page from the frontend highlighter.
* Add - More accessibility checker details in the site health check.
* Fix - Icons stack in frontend highlighter when there multiple issues on the same element.
* Tweak - Missing Transcript can better detect transcripts for videos in the content.

2025-07-29 - version 1.29.0
* Add - Rescan button in the frontend highlighter to rescan the current page.
* Add - Cleanup routine to clear out orphaned issues from the database.
* Add - Filter to allow tweaking the post statuses which get scanned.
* Tweak - Updated the aria-hidden check to understand more sibling relationships.
* Tweak - Updated the redundant alt check to understand that repeated images with same source and alt is not redundant.
* Fix - Remove the password protected notice, and it's related features - scans can throw this error now.

2025-07-22 - version 1.28.0
* Add - Better descriptions and help text for each of the rules.
* Add - Improved landmark location feature to show the location of the landmark in the DOM.
* Fix - Avoid possible error with removal of an index on an ID column.

2025-07-10 - version 1.27.1
* Fix - Don't alter a UNIQUE index before swapping to PRIMARY key index.

2025-07-10 - version 1.27.0
* Add - Landmark Location feature.
* Add - Plugin action links.
* Add - Documentation, support, and rate plugin links to plugin row meta.
* Add - Admin toolbar with quick links.
* Tweak - UNIQUE KEY to PRIMARY KEY for id column, bumped DB version to 1.0.4.
* Tweak - link_improper now lets links with role of tab pass.
* Fix - Allow frontend highlighter to kickoff scan if there are no issues for the page.
* Fix - Average issues per post calculation to handle zero issues.

2025-06-30 - version 1.26.0
* Tweak - Enhanced: Better translation handling across the plugin.

2025-05-28 - version 1.25.0
* Add - Ability to scan the main posts archive (blog page).
* Tweak - Improved the Anchor Exists rule to handle more situations.
* Fix - Avoid console error for clear button on CPTs that are not scannable.

2025-04-24 - version 1.24.0
* Add - Translations for 33 languages.
* Tweak - Handle Elementor buttons better in the new warnings fix.
* Fix - Several typo and grammar issues corrected in the plugin.
* Fix - Signup modal now works in Firefox under more conditions.
* Fix - Make sure that translations in JS files can be detected.

2025-03-27 - version 1.23.1
* Remove - Remove the str_get_html() fallback shim.

2025-03-13 - version 1.23.0
* Add - Jest testing framework for accessibility rules with test case generation.
* Tweak - Added fallback for str_get_html() with deprecation notice.
* Tweak - Added density calculation capability in JS scanner.
* Remove - Legacy PHP scan code.
* Remove - PHP Simple HTML DOM Parser.
* Dev - Converted multiple rules to JS for improved performance and compatibility.

2025-02-15 - version 1.22.2
* Tweak - Announce Global Accessibility Awareness Day in the admin during that week.

2025-02-06 - version 1.22.1
* Tweak - Make the skip-link fix handle sites with forced smooth scroll.
* Tweak - Make the zooming and scaling handle additional ways the tag can block scaling.
* Fix - Swap to GraphQL for getting meetup data for display in the admin.

2025-01-30 - version 1.22.0
* Tweak - Improve the new window warning migration to handle more edge cases.
* Fix - Avoid checking theme Tags when theme sandbox recovery is in play.
* Fix - When parsing block content for scanning avoid stomping on post_content of a global.

2024-12-19 - version 1.21.0
* Tweak - Improve how density statistics are counted. You will see a notice about this change on the welcome page.
* Fix - Ensure that the scanned posts counts are accurate to all posts scanned, not just ones that have issues.
* Fix - Properly count posts that are scanned but have no issues to remediate.

2024-11-14 - version 1.20.0
* Tweak - Process dynamic blocks and oEmbeds more reliably in scans.
* Tweak - Improve detection for missing_transcripts if there are several oEmbed videos from same provider on page.
* Fix - Ensure notice dismiss function works correctly on all pages and that review notice buttons are styled.
* Fix - Correct some cases where pluralization of phrases could be misapplied.

2024-10-10 - version 1.19.0
* Tweak - Improve the text_size_too_small check in scanner to avoid more false positives.
* Fix - Ensure that our notifications can appear on our own admin pages.
* Fix - No longer trigger password protected notice on other pages when scanning WooCommerce checkout page.

2024-09-12 - version 1.18.0
* Add - A new fix for adding a new tab/window warning to links with target="_blank".
* Tweak - Allow cache bypass from stats requests to force latest numbers.
* Tweak - Make a clear-issues endpoint more usable in different situations.
* Remove - Removed some code that was trying to force no notifications on the plugin pages.

2024-08-15 - version 1.17.0
* Add - A new fix for adding a new tab/window warning to links with target="_blank".
* Add - REST endpoint to retrieve a site scan summary.
* Tweak - Ensure frontend highlighter can load even when Cloudflare Rocket Loader is enabled.
* Tweak - Only show ignore button when user can ignore issues.
* Fix - URLs without issues would always output `0` when viewed on welcome widget.

2024-07-18 - version 1.16.4
* Tweak - Improve the table header detection and validation for row headers.
* Tweak - Show notice on fixes settings when they are saved from options page.
* Fix - Don't check for possible header if there is no text content.
* Fix - Multisite query fix to make sure issues are assigned correct site id.
* Fix - Correct where a scan link points.

2024-06-20 - version 1.16.3
* Add - Fix settings to site health info panels.
* Fix - Corrected a string that was misplaced in a fix.

2024-05-23 - version 1.16.2
* Tweak - Use better names for fix modal titles.
* Tweak - Improve the link_pdf rule to detect more accurately.
* Tweak - Improve the link_ms_office_doc rule to detect more accurately.
* Fix - Rely on labels for link_ambiguous_text rule first before checking just the text content.
* Fix - Remove a duplicatable rule empty_form_label.

2024-04-25 - version 1.16.1
* Fix - Remove redundant empty_form_label rule definition.

2024-03-28 - version 1.16.0
* Add - Introduced a system to handle automated fixes for issues that the scanner would discover.
* Add - Fix to remove or update bad tabindex values on elements.
* Add - Fix to remove title attributes in favor of preferred accessible names to elements.
* Add - Fix to add missing lang and dir attributes to the <html> element.
* Add - Fix to add skip links to pages where they are missing.
* Add - Fix to add labels to comment and search forms.
* Add - Fix to ensure that the meta viewport tag does not prevent user scaling or zooming.
* Add - Fix to ensure that focus outlines are present on focusable elements.
* Tweak - Improve the tabindex_modified check to handle every element with tabindex.
* Tweak - Improve the link_blank rule to check on fully rendered pages.
* Tweak - Improve the link_ambiguous_text rule to check on fully rendered pages.
* Tweak - Improve the broken_skip_anchor_link rule to check on fully rendered pages.

2024-02-29 - version 1.15.0
* Add - Option to ignore issues by user role.
* Tweak - Improved performance for large sites.
* Fix - Corrected issue with scan scheduling on multisite.

2024-01-25 - version 1.14.0
* Add - Bulk scan improvements for custom post types.
* Tweak - Updated accessibility rules for WCAG 2.2.
* Fix - Fixed error with admin notices on plugin activation.

2023-12-21 - version 1.13.0
* Add - New dashboard widget for scan summaries.
* Tweak - Enhanced compatibility with WordPress 6.4.
* Fix - Fixed bug with scan results not saving on draft posts.

2023-11-16 - version 1.12.0
* Add - Option to export scan results to CSV.
* Tweak - Improved error messages for failed scans.
* Fix - Fixed issue with scan button not appearing for some users.

2023-10-19 - version 1.11.0
* Add - Support for additional languages in plugin interface.
* Tweak - Improved scan speed for large content sites.
* Fix - Fixed bug with accessibility statement generation.

2023-09-21 - version 1.10.0
* Add - New rules for ARIA attributes.
* Tweak - Updated plugin settings UI for clarity.
* Fix - Fixed issue with plugin deactivation not cleaning up options.

2023-08-17 - version 1.9.0
* Add - Option to schedule scans.
* Tweak - Improved scan accuracy for custom blocks.
* Fix - Fixed bug with scan results display in admin.

2023-07-20 - version 1.8.0
* Add - Integration with third-party accessibility tools.
* Tweak - Improved scan result filtering.
* Fix - Fixed error with scan summary widget.

2023-06-22 - version 1.7.0
* Add - Option to ignore specific rules per post.
* Tweak - Improved compatibility with WooCommerce product pages.
* Fix - Fixed bug with scan scheduling on multisite.

2023-05-18 - version 1.6.0
* Add - New onboarding wizard for setup.
* Tweak - Improved help documentation links.
* Fix - Fixed error with scan results export.

2023-04-20 - version 1.5.0
* Add - Option to enable/disable specific rules.
* Tweak - Improved scan result UI.
* Fix - Fixed bug with scan results not updating after post save.

2023-03-16 - version 1.4.0
* Add - Support for multisite network settings.
* Tweak - Improved scan accuracy for media attachments.
* Fix - Fixed error with scan scheduling on network sites.

2023-02-16 - version 1.3.0
* Add - Option to export accessibility statement.
* Tweak - Improved scan result sorting.
* Fix - Fixed bug with scan results not displaying for some users.

2023-01-19 - version 1.2.0
* Add - New rules for color contrast.
* Tweak - Improved scan performance for large sites.
* Fix - Fixed error with scan results export.

2022-12-15 - version 1.1.0
* Add - Option to schedule recurring scans.
* Tweak - Improved scan result UI for accessibility.
* Fix - Fixed bug with scan results not saving on draft posts.

2022-11-17 - version 1.0.0
* Initial release.
